
Redmine - Feature #2531

"Within period" query filters for date fields

2009-01-19 10:16 - Artem Vasiliev

Status: Closed Start date: 2009-01-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Add new option "Within period" to date filter types (along with "Today", "This week", "Less than days ago" and ect). When user

selected "Within period" there should be 2 date editors - "from" and "to". Let's treat both fields as optional so user can fill all possible

combinations ("from+to", "from" only or "to" only).

Note, "from" and "to" should

be inclusive

ignore time difference in DB

"from=01/12/2008" means "from=01/12/2008 00:00:00"

"to=02/12/2008" means "to=02/12/2008 23:59:59"

Related issues:

Related to Redmine - Patch #1705: Use Rails timezones support New 2008-07-29

Has duplicate Redmine - Feature #6954: Filter from date to date Closed 2010-11-22

History

#1 - 2009-01-19 10:41 - Artem Vasiliev

I've just implemented it for http://github.com/artemv/redmine_tt fork, see commits:

http://github.com/artemv/redmine_tt/commit/ee3a1545fbf6b5a211c2947c0f68b8402a388f91

http://github.com/artemv/redmine_tt/commit/244408dbb277cb183ad48dfb8e7a52b5baa85d19

http://github.com/artemv/redmine_tt/commit/a2831f2a0a0f5948c5583980578cb6c29e9fd7e6

These are based on modified r1783.

These also make all time filters timezone-aware, i.e. if X.created_at = yesterday 00:00

or yesterday 23:59 in the same timezone

'1 days ago' filter should show issue X.

Currently redmine.org does have problems with this, e.g. 'updated at 0 days ago' shows issues updated at both today and yesterday if I'm in Alaska.

This accuracy requires switching to Rails timezones support, see

http://github.com/artemv/redmine_tt/commit/e4722216ff3893f032dc9a757715a161afb51339#diff-34,

http://github.com/artemv/redmine_tt/commit/e4722216ff3893f032dc9a757715a161afb51339#L0R24

and http://github.com/artemv/redmine_tt/blob/ad632ca3eb21b976ca606dc111f858678806d47e/lib/tasks/convert_database_times_to_utc.rake

#2 - 2009-01-19 12:10 - Artem Vasiliev

Artem Vasiliev wrote:

This accuracy requires switching to Rails timezones support, see

http://github.com/artemv/redmine_tt/commit/e4722216ff3893f032dc9a757715a161afb51339#diff-34,

http://github.com/artemv/redmine_tt/commit/e4722216ff3893f032dc9a757715a161afb51339#L0R24

and http://github.com/artemv/redmine_tt/blob/ad632ca3eb21b976ca606dc111f858678806d47e/lib/tasks/convert_database_times_to_utc.rake

 + http://github.com/artemv/redmine_tt/commit/e4722216ff3893f032dc9a757715a161afb51339#L5L97

#3 - 2009-01-20 11:29 - Artem Vasiliev

That Rails timezone support is summarized in #1705 actually

#4 - 2009-01-22 11:49 - Artem Vasiliev

I've just implemented it for http://github.com/artemv/redmine_tt fork, see commits:
 Another tweak to it: http://github.com/artemv/redmine_tt/commit/a8f2f4ced8d66dc0def3baf863f785d85d100fdb

#5 - 2009-02-05 18:06 - Curtis Stewart

+1

I just had two different requests for filtering issues within a data range. We have made due with exporting to csv and then removing the extra items,

but that is not as convenient. I would like to see this patch, or something similar, incorporated into the main releases.

#6 - 2011-07-19 10:13 - Etienne Massip

- Category set to Issues

I think this has been committed in trunk for 1.3.0.

#7 - 2011-10-27 13:30 - Nayuta Taga

+1

Etienne Massip wrote:

I think this has been committed in trunk for 1.3.0.

 Please tell me the committed revision.

I want to apply it to my local Redmine.

#8 - 2011-10-27 15:05 - Etienne Massip

gana ware wrote:

Please tell me the committed revision.

I want to apply it to my local Redmine.

 You should try to merge r6213, r6216, r6217, r6226, r6227, r6228, r6229, r6256, r6258, r6264 and r6265.

#9 - 2011-10-27 15:10 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Closed as duplicated by #6954 which has been committed for 1.3.0.

#10 - 2011-10-28 06:10 - Nayuta Taga

Etienne Massip wrote:

gana ware wrote:

Please tell me the committed revision.

I want to apply it to my local Redmine.

 You should try to merge r6213, r6216, r6217, r6226, r6227, r6228, r6229, r6256, r6258, r6264 and r6265.

 Thanks a lot!
